

**ETHIOPIA PRESUMPTIVE TAX PAPER 
** DOFILE #8


set more off



******************************************
***** MATCHED HOUSEHOLDS IN WAVES 4 AND 5
***** TIGRAY REGION EXCLUDED IN WAVE 4
*****************************************



global wave4 	/Users/hitomikomatsu/Documents/World Bank Ethiopia/ESS_2018
global wave5 	/Users/hitomikomatsu/Documents/World Bank Ethiopia/ESS_2021

global excel 	/Users/hitomikomatsu/Documents/World Bank Ethiopia/ESS_2018


use "$wave5/cons_agg_w5.dta", clear
*4959 households
ren saq14 rural

keep household_id ea_id saq01 rural pw_w5 

ren saq01 region
tempfile wave5
save `wave5'

use "$wave4/enterprise_household_wave4_Oct92023.dta", clear
keep household_id pw_w4 land electricity head_married livestock  hhsize_new  ln_cons age5 age610 age1115 head_age  head_protestant head_muslim
lab var ln_cons "Consumption in wave 4"
tempfile hh_char4
save `hh_char4'

**owner characteristics (wave 4)
use "$wave4/enterprise_owners_wave4_Oct2023.dta", clear

collapse (max)age  head  married divorced spouse  literate f_owner_least, by(household_id)
tempfile owner4
save `owner4'

use "$wave4/enterprise_household_wave4_Oct92023.dta", clear
keep  household_id wave f_only enterprise_hh hh_f_enterprise hh_m_enterprise hh_food_service hh_alcohol hh_retail hh_bar hh_restaurant hh_transit hh_other_pc
*set up panel 
reshape wide  f_only enterprise_hh hh_f_enterprise hh_m_enterprise hh_food_service hh_bar hh_restaurant hh_alcohol hh_retail hh_transit hh_other_pc, i(household_id) j(wave)

tempfile household4
save `household4'

use "$wave5/ethiopia_enterprise_wave5_Oct92023.dta", clear

gen nr_ent_5=1 
collapse (count)nr_ent_5 (sum) food_service transit retail_all, by(household_id)
lab var nr_ent_5 "Number of enterprises, wave5"
ren food_service nr_food5
ren transit nr_transit5
ren retail_all nr_retail5
lab var nr_food5 "Number of food services, wave5"
lab var nr_transit5 "Number of transit, wave5"
lab var nr_retail5 "Number of retail, wave5"
tempfile enterprise5
save `enterprise5'

use "$wave4/ethiopia_enterprise_wave4_Oct92023", clear

drop if tax==.
gen f_owned=owner_sex_2==2
gen m_owned=owner_sex_2==1
gen nr_ent_4=1 

collapse (count) nr_ent_4 (sum) food_service transit retail_all (max) registered f_owned m_owned (mean)gross_0 gross, by(household_id)
lab var gross_0 "Mean turnover, '000, wave4"
lab var gross "Mean turnover, wave 4"
lab var f_owned "Female-owned, wave4"
lab var m_owned "Male-owned, wave4"
ren food_service nr_food4
ren transit nr_transit4
ren retail_all nr_retail4
lab var nr_ent_4 "Number of enterprises, wave4"
lab var nr_food4 "Number of food services, wave4"
lab var nr_transit4 "Number of transit, wave4"
lab var nr_retail4 "Number of retail, wave4"

tempfile enterprise4
save `enterprise4'

use "$wave5/enterprise_household_wave5_Oct092023.dta", clear

**4959 households
keep household_id wave f_only enterprise_hh hh_f_enterprise hh_m_enterprise hh_food_service hh_alcohol hh_retail hh_bar hh_restaurant hh_transit hh_other_pc
reshape wide  f_only enterprise_hh hh_f_enterprise hh_m_enterprise hh_food_service hh_bar hh_restaurant hh_alcohol hh_retail hh_transit hh_other_pc, i(household_id) j(wave)

tempfile household5
save `household5'


use `household4', clear
merge 1:1 household_id using `household5'

**4849 households matched, 110 not in wave 4

*************************************
******KEEP ONLY MATCHED HOUSEHOLDS
*************************************

keep if _m==3
drop _m
merge 1:1 household_id using `wave5'
keep if _m==3
drop _m 
merge 1:1 household_id using `hh_char4'
keep if _m==3
drop _m 


merge 1:1 household_id using `enterprise4'
**1089 enterprises
drop if _m==2
drop _m 
merge 1:1 household_id using `enterprise5'

drop if _m==2
drop _m 
merge 1:1 household_id using `owner4'
drop if _m==2
drop _m 

replace nr_ent_5 =0 if  nr_ent_5 ==.
replace nr_ent_4 =0 if nr_ent_4==.

foreach var in  nr_ent_4 nr_food4 nr_transit4 nr_retail4 nr_ent_5 nr_food5 nr_transit5 nr_retail5{
	replace `var' =0 if `var'==.
	}

gen nr=nr_ent_5-nr_ent_4
gen enterprise_loss_nr=nr==-1|nr==-2
lab var enterprise_loss_nr "HH lost an enterprise"

gen enterprise_gain_nr=nr>0
lab var enterprise_gain_nr "HH gained an enterprise"

gen nr_food=nr_food5-nr_food4
gen food_loss=nr_food==-1
lab var food_loss "HH lost a food service"

gen food_gain=nr_food>0
lab var food_gain "HH gained a food service"

gen nr_transit=nr_transit5-nr_transit4
gen transit_loss=nr_transit==-1
lab var transit_loss "HH lost transit"

gen transit_gain=nr_transit>0
lab var transit_gain "HH gained transit services"

lab def f_only4 0 "Dual household" 1 "Female-only household"
lab val f_only4 f_only4

lab var f_only4 "Female only household, w4"
lab var f_only5 "Female only household, w5"

gen female_only5=1 if f_only5==0
replace female_only5=2 if f_only5==1
lab def female_only5 1 "Dual household" 2 "Female-only household"
lab val female_only5 female_only5
lab var female_only5 "Household type, wave5"

gen female_only4=1 if f_only4==0
replace female_only4=2 if f_only4==1
lab def female_only4 1 "Dual household" 2 "Female-only household"
lab val female_only4 female_only4
lab var female_only4 "Household type, wave4"

**4,849 households in both waves
save "$wave4/enterprise_household_pooled_marched_Oct112023.dta", replace

**Use wave 5 weights, region and EA
svyset ea_id[pw=pw_w5],  strata(region)


foreach var in enterprise_hh4 enterprise_hh5 enterprise_loss_nr enterprise_gain_nr  hh_food_service5 food_loss food_gain hh_transit5 transit_gain transit_loss{
    replace `var'=`var'*100
}


putexcel set "$excel/Enterprises_10112023.xlsx", modify sheet(APPENDIX 6)

putexcel A1  = "Appendix 6: Percentage of households with nonfarm enterprises (restricted to households in both periods 1 and 2)",  bold

putexcel B3  = "Male or dual adult household", hcenter bold
putexcel C3 = "Female only household", hcenter bold
putexcel A3 = "Percentage of households:", bold

******
***USE HOUSEHOLD TYPE IN WAVE 4 AS BASE
*****
svyset ea_id[pw=pw_w4],  strata(region)

tabstat enterprise_hh4[aw = pw_w4],  by(female_only4) s(mean) save 
putexcel B4=matrix(r(Stat1)),  nformat(0.0)
putexcel C4=matrix(r(Stat2)),  nformat(0.0)
putexcel A4  = "  With an enterprise in period 1 (2018/2019)"
svy: mean enterprise_hh4, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]


** Use wave 5 weights for wave 5 statistics
svyset ea_id[pw=pw_w5],  strata(region)
tabstat enterprise_hh5[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B5=matrix(r(Stat1)),  nformat(0.0)
putexcel C5=matrix(r(Stat2)),  nformat(0.0)
putexcel A5  = "  With an enterprise in period 2 (2021/2022)"
svy: mean enterprise_hh5, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]


tabstat enterprise_loss_nr[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B6=matrix(r(Stat1)),  nformat(0.0)
putexcel C6=matrix(r(Stat2)),  nformat(0.0)
putexcel A6  = "  Reported fewer enterprises in period 2 than in period 1"
svy: mean enterprise_loss_nr, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]

tabstat enterprise_gain_nr[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B7=matrix(r(Stat1)),  nformat(0.0)
putexcel C7=matrix(r(Stat2)),  nformat(0.0)
putexcel A7  = "  Reported a new enterprise in period 2"
svy: mean enterprise_gain_nr, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]

*Use wave 4 weights for wave 4 statistics

svyset ea_id[pw=pw_w5],  strata(region)

tabstat hh_food_service5[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B8=matrix(r(Stat1)),  nformat(0.0)
putexcel C8=matrix(r(Stat2)),  nformat(0.0)
putexcel A8  = "  With a food service enterprise in period 2"
svy: mean hh_food_service5, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]

tabstat food_loss[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B9=matrix(r(Stat1)),  nformat(0.0)
putexcel C9=matrix(r(Stat2)),  nformat(0.0)
putexcel A9  = "  Reported fewer enterprises in food service in period 2"
svy: mean food_loss, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]


tabstat food_gain[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B10=matrix(r(Stat1)),  nformat(0.0)
putexcel C10=matrix(r(Stat2)),  nformat(0.0)
putexcel A10  = "  Reported a new food service enterprise in period 2"
svy: mean food_gain, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]


tabstat hh_transit5[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B11=matrix(r(Stat1)),  nformat(0.0)
putexcel C11=matrix(r(Stat2)),  nformat(0.0)
putexcel A11  = "  With a transit service enterprise in period 2"
svy: mean hh_transit5, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]


tabstat transit_loss[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B12=matrix(r(Stat1)),  nformat(0.0)
putexcel C12=matrix(r(Stat2)),  nformat(0.0)
putexcel A12  = "  Reported fewer enterprises in transit service in period 2"
svy: mean transit_loss, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]


tabstat transit_gain[aw = pw_w5],  by(female_only4) s(mean) save 
putexcel B13=matrix(r(Stat1)),  nformat(0.0)
putexcel C13=matrix(r(Stat2)),  nformat(0.0)
putexcel A13  = "  Reported a new transit service enterprise in period 2"
svy: mean transit_gain, over(female_only4)
test  _b[_subpop_1] = _b[_subpop_2]


count if female_only4==1
putexcel B14=(`r(N)')
count if female_only4==2
putexcel C14=(`r(N)')

putexcel (A14:C14), border(bottom)
putexcel (A3:C3), border(top)
putexcel (B3:C3), border(bottom)
putexcel A14 = "Number of households", bold
putexcel (A14:E14), italic bold

putexcel (B7:C7),  bold
putexcel (B13:C13),  bold
putexcel (B11:C11),  bold



	
keep household_id
	
	save "$wave4/enterprise_household_pooled_matched_Oct112023.dta", replace
	
