

**ETHIOPIA PRESUMPTIVE TAX PAPER 
** DOFILE #9 


********APPENDIX 5: THIS CREATES THE DATA FOR THE GRAPH


set more off




global wave4 	/Users/hitomikomatsu/Documents/World Bank Ethiopia/ESS_2018
global wave5 	/Users/hitomikomatsu/Documents/World Bank Ethiopia/ESS_2021

global excel 	/Users/hitomikomatsu/Documents/World Bank Ethiopia/ESS_2018

***ONLY OBSERVATIONS WITH HOUSEHOLDS IN TWO WAVES

*4,849  households (regardless of enterprise ownership) - in both waves
use "$wave4/enterprise_household_pooled_matched_Oct112023.dta", clear

tempfile allhouseholds
save `allhouseholds'
*******
***NOW USE ENTERPRISE DATA
********


use "$wave4/ethiopia_enterprise_wave4_Oct92023", clear
keep household_id enterprise_id ea_id pw_w4 rural region owner_sex_2  bar restaurant bakery food_service alcohol -sub_sector    alcohol_per transit_per food_service_per  sector_trade_per other_sector
 
gen wave=4

tempfile wave4
save `wave4'

use "$wave5/ethiopia_enterprise_wave5_Oct92023.dta", clear

keep household_id enterprise_id ea_id pw_w5 rural region owner_sex_2  bar restaurant bakery alcohol -sub_sector food_service alcohol_per transit_per food_service_per  sector_trade_per other_sector
gen wave=5

tempfile wave5
save `wave5'

use `wave4', clear
append using `wave5'
 *2,935   enterprises
 
 
***** use household weights for each
gen hh_weight=pw_w4
replace hh_weight=pw_w5 if hh_weight==.


***identifying households that are in BOTH wave4 and wave5
merge m:1 household_id using `allhouseholds'

**** Drop households that are not in both waves i.e drop Tigray
drop if _m==1
drop _m
 *2499
 
 
 
putexcel set "$excel/Enterprises_10112023.xlsx", modify sheet(Appendix 7)

svyset ea_id[pw=pw_w4],  strata(region)

putexcel A1 = "Appendix 7: Sector distribution of enterprises, by wave (restricted to households in both periods 1 and 2) (%)", bold
putexcel B4 = "Period 1, 2018/2019"
putexcel B5 = "Male-owned"
putexcel C5 = "Female-owned"

tabstat sector_trade_per  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B6=matrix(r(Stat1)),  nformat(0.0)
putexcel C6=matrix(r(Stat2)),  nformat(0.0)
putexcel A6  = "Trade"

tabstat alcohol_per  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B7=matrix(r(Stat1)),  nformat(0.0)
putexcel C7=matrix(r(Stat2)),  nformat(0.0)
putexcel A7  = "Manufacture or sale of local beverages"

tabstat manuf_cloth  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B8=matrix(r(Stat1)),  nformat(0.0)
putexcel C8=matrix(r(Stat2)),  nformat(0.0)
putexcel A8  = "Manufacturing clothes"

tabstat manuf_food  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B9=matrix(r(Stat1)),  nformat(0.0)
putexcel C9=matrix(r(Stat2)),  nformat(0.0)
putexcel A9  = "Manufacturing food"

tabstat manuf_other  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B10=matrix(r(Stat1)),  nformat(0.0)
putexcel C10=matrix(r(Stat2)),  nformat(0.0)
putexcel A10  = "Other manufacturing"


tabstat food_service_per  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B11=matrix(r(Stat1)),  nformat(0.0)
putexcel C11=matrix(r(Stat2)),  nformat(0.0)
putexcel A11  = "Food and beverage services and hotels"

tabstat transit_per  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B12=matrix(r(Stat1)),  nformat(0.0)
putexcel C12=matrix(r(Stat2)),  nformat(0.0)
putexcel A12  = "Transportation services"


tabstat other_pc  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B13=matrix(r(Stat1)),  nformat(0.0)
putexcel C13=matrix(r(Stat2)),  nformat(0.0)
putexcel A13  = "Other personal services"


tabstat sector_construction  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B14=matrix(r(Stat1)),  nformat(0.0)
putexcel C14=matrix(r(Stat2)),  nformat(0.0)
putexcel A14  = "Construction"

tabstat other_sector  [aw = pw_w4],  by(owner_sex_2) s(mean) save 
putexcel B15=matrix(r(Stat1)),  nformat(0.0)
putexcel C15=matrix(r(Stat2)),  nformat(0.0)
putexcel A15  = "Others"
 

svyset ea_id[pw=pw_w5],  strata(region)

putexcel D4 = "Period 2, 2021/2022"
putexcel D5 = "Male-owned"
putexcel E5 = "Female-owned"

tabstat sector_trade_per  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D6=matrix(r(Stat1)),  nformat(0.0)
putexcel E6=matrix(r(Stat2)),  nformat(0.0)
putexcel A6  = "Trade"

tabstat alcohol_per  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D7=matrix(r(Stat1)),  nformat(0.0)
putexcel E7=matrix(r(Stat2)),  nformat(0.0)
putexcel A7  = "Manufacture or sale of local beverages"

tabstat manuf_cloth  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D8=matrix(r(Stat1)),  nformat(0.0)
putexcel E8=matrix(r(Stat2)),  nformat(0.0)
putexcel A8  = "Manufacturing clothes"

tabstat manuf_food  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D9=matrix(r(Stat1)),  nformat(0.0)
putexcel E9=matrix(r(Stat2)),  nformat(0.0)
putexcel A9  = "Manufacturing food"

tabstat manuf_other  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D10=matrix(r(Stat1)),  nformat(0.0)
putexcel E10=matrix(r(Stat2)),  nformat(0.0)
putexcel A10  = "Other manufacturing"


tabstat food_service_per  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D11=matrix(r(Stat1)),  nformat(0.0)
putexcel E11=matrix(r(Stat2)),  nformat(0.0)
putexcel A11  = "Food and beverage services and hotels"

tabstat transit_per  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D12=matrix(r(Stat1)),  nformat(0.0)
putexcel E12=matrix(r(Stat2)),  nformat(0.0)
putexcel A12  = "Transportation services"


tabstat other_pc  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D13=matrix(r(Stat1)),  nformat(0.0)
putexcel E13=matrix(r(Stat2)),  nformat(0.0)
putexcel A13  = "Other personal services"


tabstat sector_construction  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D14=matrix(r(Stat1)),  nformat(0.0)
putexcel E14=matrix(r(Stat2)),  nformat(0.0)
putexcel A14  = "Construction"

tabstat other_sector  [aw = pw_w5],  by(owner_sex_2) s(mean) save 
putexcel D15=matrix(r(Stat1)),  nformat(0.0)
putexcel E15=matrix(r(Stat2)),  nformat(0.0)
putexcel A15  = "Others"
 
 

